Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python-module-sphinx python3-module-setuptools
# END SourceDeps(oneline)
%filter_from_requires /python3(sshuttle.cmdline_options)/d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:               sshuttle
Version:            0.78.5
Release:            alt1_3
Summary:            Transparent Proxy VPN
Source0:            https://files.pythonhosted.org/packages/source/s/%{name}/%{name}-%{version}.tar.gz
URL:                https://github.com/%{name}/%{name}
License:            LGPLv2+
BuildArch:          noarch

BuildRequires:      python3-devel
BuildRequires:      python3-module-distribute
BuildRequires:      python3-module-setuptools_scm
BuildRequires:      python3-module-pytest-runner
BuildRequires:      python3-module-mock
BuildRequires:      python3-module-sphinx
BuildRequires:      makeinfo

# For tests
BuildRequires:      python3-module-pytest
BuildRequires:      python3-module-pytest-flake8
BuildRequires:      python3-module-pytest-cov
BuildRequires:      python3-module-pytest-runner
BuildRequires:      python3-module-pytest-mock

Requires:           iptables
Requires:           openssh-clients openssh-common
Source44: import.info

%description
Transparent proxy server that works as a poor man's VPN. Forwards over ssh.
Doesn't require admin. Works with Linux and MacOS. Supports DNS tunneling.

%prep
%setup -q -n %{name}-%{version}


# This file is a script, so shouldn't be installed under
# site-packages. We'll remove it for now.
rm %{name}/stresstest.py


%build
%python3_build

# Build docs
pushd docs
make man
make info
popd


%install
%python3_install

# Install docs
pushd docs
# Man
mkdir -p %{buildroot}/%{_mandir}/man1
mv _build/man/%{name}.1 %{buildroot}/%{_mandir}/man1
# Info
mkdir -p %{buildroot}/%{_infodir}
mv _build/texinfo/%{name}.info %{buildroot}/%{_infodir}
popd


%check
%{__python3} setup.py test

%files
%doc --no-dereference LICENSE
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info.*
%{python3_sitelibdir_noarch}/%{name}
%{python3_sitelibdir_noarch}/%{name}*.egg-info
%{_bindir}/sshuttle


%changelog
* Wed Mar 13 2019 Igor Vlasenko <viy@altlinux.ru> 0.78.5-alt1_3
- update to new release by fcimport

* Tue Mar 05 2019 Igor Vlasenko <viy@altlinux.ru> 0.78.5-alt1_2
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.78.1-alt1_2
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.78.0-alt1_2
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0-alt1_12.20120810git9ce2fa0
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0-alt1_11.20120810git9ce2fa0
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_10.20120810git9ce2fa0
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_9.20120810git9ce2fa0
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_8.20120810git9ce2fa0
- initial fc import

